.NET

Reply
*technosterone
Message 1 of 2 (189 Views)

How to get offset polyline points coordinates?

189 Views, 1 Replies
07-12-2005 06:31 AM
How to get offset polyline points coordinates?

I tried to offset an existing polyline and get the points coordinates of the
result but failed



Dim outer As Autodesk.AutoCAD.Interop.Common.AcadLWPolyline' existing
polyline

Dim inner As Object ' result

Dim OuterPoints As Object ' array of existing points coordinates

Dim InnerPoints As Object ' array of result points coordinates

inner = outer.Offset(20)

OuterPoints = outer.Coordinates()' it's alright



InnerPoints= ?????
*Albert Szilvasy
Message 2 of 2 (189 Views)

Re: How to get offset polyline points coordinates?

07-14-2005 09:13 AM in reply to: *technosterone
How does the failure manifest itself? Do you get an exception? Do you get
other unexpected results?

Albert
"technosterone" wrote in message
news:4898867@discussion.autodesk.com...
How to get offset polyline points coordinates?

I tried to offset an existing polyline and get the points coordinates of the
result but failed



Dim outer As Autodesk.AutoCAD.Interop.Common.AcadLWPolyline' existing
polyline

Dim inner As Object ' result

Dim OuterPoints As Object ' array of existing points coordinates

Dim InnerPoints As Object ' array of result points coordinates

inner = outer.Offset(20)

OuterPoints = outer.Coordinates()' it's alright



InnerPoints= ?????

You are not logged in.

Log into access your profile, ask and answer questions, share ideas and more. Haven't signed up yet? Register

Announcements
Are you familiar with the Autodesk Expert Elites? The Expert Elite program is made up of customers that help other customers by sharing knowledge and exemplifying an engaging style of collaboration. To learn more, please visit our Expert Elite website.

Need installation help?

Start with some of our most frequented solutions to get help installing your software.

Ask the Community